package com.unitesk.reqcoverage.eclipse;

import org.eclipse.jface.wizard.Wizard;

import com.unitesk.reqcoverage.reqstracer.Collector;

public class GetExtensions extends Wizard {

  private ExtensionsPage page;

  public GetExtensions() {
    super();
    setNeedsProgressMonitor(true);
    setHelpAvailable(false);
  }

  @Override
  public void addPages() {
    page = new ExtensionsPage();
    addPage(page);
  }

  @Override
  public boolean performFinish() {
    if (page.getText().equals("")) {
      //			Collector.setUseDB(false);
      Collector.instance().setProcessReport(true);
    } else {
      //			Collector.setPathToReqDB(page.getText());
      //			Collector.setUseDB(true);
      Collector.instance().setProcessReport(true);
    }
    return true;
  }

  public boolean performCancel() {
    Collector.instance().setProcessReport(false);

    return true;
  }
}
